import { PoolDetailsForm } from "@/components/simulation/pool-details/pool-details-form";
import { PoolDetailsSkeleton } from "@/components/simulation/pool-details/pool-details-skeleton";
import { getTranslations } from "next-intl/server";
import { Suspense } from "react";


export default async function Page() {
	const t = await getTranslations();

	return (
		<div className="h-[125vh] w-full bg-3 p-16">
			<div className="flex flex-col items-center justify-start gap-8 h-full">
				<div className="border-[1px] rounded-md p-4 w-auto backdrop-blur-md mt-0">
					<p className="text-4xl text-white text-center font-medium">
						{t("Pool details and user information")}
					</p>
				</div>
				<div className="border-[1px] rounded-md p-2 w-[1040px] backdrop-blur-md">
					<Suspense fallback={<PoolDetailsSkeleton />}>
						<PoolDetailsForm />
					</Suspense>
				</div>

			</div>
		</div>
	);
}
